package com.fp.armas.portal.model;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Set;


/**
 * The persistent class for the TGENEFILES database table.
 * 
 */
@Entity
@Table(name="TGENEFILES")
public class Tgenefile implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	private long code;

	//bi-directional many-to-one association to Tcustcompany
	@OneToMany(mappedBy="tgenefile")
	private Set<Tcustcompany> tcustcompanies;

	//bi-directional many-to-one association to Tgenefilesdetail
	@OneToMany(mappedBy="tgenefile1")
	private Set<Tgenefilesdetail> tgenefilesdetails1;

	//bi-directional many-to-one association to Tgenefilesdetail
	@OneToMany(mappedBy="tgenefile2")
	private Set<Tgenefilesdetail> tgenefilesdetails2;

	public Tgenefile() {
	}

	public long getCode() {
		return this.code;
	}

	public void setCode(long code) {
		this.code = code;
	}

	public Set<Tcustcompany> getTcustcompanies() {
		return this.tcustcompanies;
	}

	public void setTcustcompanies(Set<Tcustcompany> tcustcompanies) {
		this.tcustcompanies = tcustcompanies;
	}

	public Tcustcompany addTcustcompany(Tcustcompany tcustcompany) {
		getTcustcompanies().add(tcustcompany);
		tcustcompany.setTgenefile(this);

		return tcustcompany;
	}

	public Tcustcompany removeTcustcompany(Tcustcompany tcustcompany) {
		getTcustcompanies().remove(tcustcompany);
		tcustcompany.setTgenefile(null);

		return tcustcompany;
	}

	public Set<Tgenefilesdetail> getTgenefilesdetails1() {
		return this.tgenefilesdetails1;
	}

	public void setTgenefilesdetails1(Set<Tgenefilesdetail> tgenefilesdetails1) {
		this.tgenefilesdetails1 = tgenefilesdetails1;
	}

	public Tgenefilesdetail addTgenefilesdetails1(Tgenefilesdetail tgenefilesdetails1) {
		getTgenefilesdetails1().add(tgenefilesdetails1);
		tgenefilesdetails1.setTgenefile1(this);

		return tgenefilesdetails1;
	}

	public Tgenefilesdetail removeTgenefilesdetails1(Tgenefilesdetail tgenefilesdetails1) {
		getTgenefilesdetails1().remove(tgenefilesdetails1);
		tgenefilesdetails1.setTgenefile1(null);

		return tgenefilesdetails1;
	}

	public Set<Tgenefilesdetail> getTgenefilesdetails2() {
		return this.tgenefilesdetails2;
	}

	public void setTgenefilesdetails2(Set<Tgenefilesdetail> tgenefilesdetails2) {
		this.tgenefilesdetails2 = tgenefilesdetails2;
	}

	public Tgenefilesdetail addTgenefilesdetails2(Tgenefilesdetail tgenefilesdetails2) {
		getTgenefilesdetails2().add(tgenefilesdetails2);
		tgenefilesdetails2.setTgenefile2(this);

		return tgenefilesdetails2;
	}

	public Tgenefilesdetail removeTgenefilesdetails2(Tgenefilesdetail tgenefilesdetails2) {
		getTgenefilesdetails2().remove(tgenefilesdetails2);
		tgenefilesdetails2.setTgenefile2(null);

		return tgenefilesdetails2;
	}

}